using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{
    [Table("dms_record_alarm_time")]
    public class DmsRecordAlarmTime
    {
        [Key]
        [Column("alarm_id")]
        public long AlarmId { get; set; }

        [Column("device_id")]
        public long DeviceId { get; set; }

        [Column("alarm_rule_id")]
        public long AlarmRuleId { get; set; }

        [Column("alarm_begin_time")]
        public DateTime AlarmBeginTime { get; set; }

        [Column("continue_time")]
        public long ContinueTime { get; set; }

        [Column("alarm_reason")]
        public string AlarmReason { get; set; }

        [Column("alarm_data")]
        public string AlarmData { get; set; }

        [Column("handle_suggest")]
        public string HandleSuggest { get; set; }

        [Column("remark")]
        public string Remark { get; set; }

        [Column("create_by")]
        public string CreateBy { get; set; }

        [Column("create_time")]
        public DateTime CreateTime { get; set; }

        [Column("update_by")]
        public string UpdateBy { get; set; }

        [Column("update_time")]
        public DateTime UpdateTime { get; set; }
    }
}
